package com.shining.cloud.service.report;

import java.util.List;

import com.njcn.pojo.configuration.GDInformation;
import com.njcn.pojo.configuration.Line;
import com.njcn.pojo.configuration.Province;
import com.njcn.pojo.configuration.SubStation;

public interface ShiningDeviceService {
	public List<Province> getProvince(String userId);
	
	public List<GDInformation> getGdInfo(String userId,Long provinceIndex);
	
	public List<SubStation> getSubInfo(String userId,Long gdIndex);
	
	public List<Line> getLineInfo(String userId,Long subIndex,int type);
	
	public List<Line> queryByName(String userId,String lineName);
}